Package com.xebialabs.xlrelease.domain.events

## Class Imported$

- java.lang.Object
- - scala.runtime.AbstractFunction0<Imported>
  - - com.xebialabs.xlrelease.domain.events.Imported$

- All Implemented Interfaces:
    `java.io.Serializable`, `scala.Function0<Imported>`

      public class Imported$
      extends scala.runtime.AbstractFunction0<Imported>
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Imported$` | `MODULE$` | Static reference to the singleton instance of this Scala object.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Imported$()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Imported` | `apply()` |
    `java.lang.String` | `toString()` |
    `boolean` | `unapply​(Imported x$0)` |

    - ### Methods inherited from class scala.runtime.AbstractFunction0

      `apply$mcB$sp, apply$mcC$sp, apply$mcD$sp, apply$mcF$sp, apply$mcI$sp, apply$mcJ$sp, apply$mcS$sp, apply$mcV$sp, apply$mcZ$sp`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### MODULE$

          public static final Imported$ MODULE$

      Static reference to the singleton instance of this Scala object.

  - ### Constructor Detail

    - #### Imported$

          public Imported$()

  - ### Method Detail

    - #### toString

          public final java.lang.String toString()

      Specified by:
        `toString` in interface `scala.Function0<Imported>`
      Overrides:
        `toString` in class `scala.runtime.AbstractFunction0<Imported>`

    - #### apply

          public Imported apply()

      Specified by:
        `apply` in interface `scala.Function0<Imported>`

    - #### unapply

          public boolean unapply​(Imported x$0)